%define real_name SDL-sdlpl
%define name perl-SDL
%define version 1.11
%define release 2mdk

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
Buildroot: %{_tmppath}/%{name}-buildroot/
Source: http://download.sourceforge.net/sdlpl/%{real_name}-%{version}.tar.bz2
Patch0: SDL-sdlpl-fix-makefile.patch.bz2
URL: http://sdlpl.sourceforge.net/
BuildRequires: libjpeg-devel libpng-devel libungif-devel libSDL-devel libSDL_image-devel libSDL_mixer-devel Mesa-devel perl-devel perl-PDL
Provides: %{real_name} = %{version}-%{release} sdlpl = %{version}-%{release}
Requires: perl-base = 5.601
Prefix: %{_prefix}

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p0

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README SFont-README BUGS TODO examples
%{_libdir}/perl5/man/*/*
%{perl_sitearch}/auto/SDL*
%{perl_sitearch}/SDL*

%changelog
* Fri Feb 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-2mdk
- add dependency on perl

* Mon Jan 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.11-1mdk
- new version with another patch sent to author integrated right away

* Wed Jan 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10-1mdk
- new release from author
- my SDL::Music patch integrated upstream

* Tue Jan 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-6mdk
- patch SDL::Music.pm where DESTROY was not calling the right function
  (who's using this library apart me anyway? ;p)

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.08-5mdk
- BuildRequires: libjpeg-devel perl-devel

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-4mdk
- rebuild for libpng3
- fix URL

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-3mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-2mdk
- new SDL

* Tue Jan  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.08-1mdk
- first package in Linux-Mandrake
